Skip to main content
Available in🇮🇳 India
You can integrate the following payment methods at Checkout to make your products or services more affordable for the customers:
  • Cardless EMI
    Use Cardless EMI to convert their payment amount to EMIs, without a debit or a credit card. This makes high-value products affordable for customers, as they can purchase without a large down payment. Some of the Cardless EMI providers in the market are InstaCred, EarlySalary and Zestmoney.
  • Debit and Credit Card EMI
    EMI is a popular payment method that customers prefer to reduce upfront product payments. The EMIs are available on both debit cards and credit cards.
  • Pay Later
    Pay Later offers digital credit to your customers, allowing them to purchase products without making an immediate payment. Some Pay Later providers in the market are FlexiPay by HDFC Bank, ICICI Pay Later, Simpl, and LazyPay.

Integration Steps

To submit the payment details, you must invoke the createPayment method. In this method, add the following parameters and the usual checkout parameters.

Cardless EMI

Cardless EMI is a checkout payment method that allows customers to convert their payment amount to EMIs. The user does not require a debit or credit card. Make payments via credits approved by the supported Cardless EMI payment partner.
Feature RequestThis is an on-demand feature. Please raise a request with our Support team to get this feature activated on your Razorpay account.
Watch Out!The customer should be registered with the cardless EMI payment partner before a payment.
Cardless EMI

Request Parameters

method mandatory : string The payment method to be used by the customer to complete the payment. Here, the value must be cardless_emi. provider : The Cardless EMI provider. Possible values:
  • hdfc
  • icic
  • idfb
  • kkbk
  • zestmoney
  • earlysalary
  • walnut369

Debit and Credit Card EMI

For EMIs, data is the same as the card, with the following differences:
  • method should be emi
  • An additional field, emi_duration corresponding to the number of months for EMI, should be included. After the customer selects the desired plan, pass the corresponding value in the emi_duration field.
EMI

Request Parameters

method mandatory : string The payment method to be used by the customer to complete the payment. Here, the value must be emi. emi_duration mandatory : integer Enter the duration of the EMI scheme in months. For example, 12. card : The debit or credit card details should be entered when making the payment. number mandatory : integer Unformatted card number. name mandatory : string The name of the cardholder. expiry_month mandatory : integer Expiry month for the card in MM format. expiry_year mandatory : integer Expiry year for the card in YY format. cvv mandatory : integer CVV printed on the back of the card.
Handy Tips
  • CVV is not required by default for tokenised cards across all networks.
  • CVV is optional for tokenised card payments. Do not pass dummy CVV values.
  • To implement this change, skip passing the cvv parameter entirely, or pass a null or empty value in the CVV field.
  • We recommend removing the CVV field from your checkout UI/UX for tokenised cards.
  • If CVV is still collected for tokenised cards and the customer enters a CVV, pass the entered CVV value to Razorpay.

Fetch EMI Plans

To display the available EMI plans, use the Razorpay checkout helper methods to fetch and display the details of the EMI plans. You can use the event ready, as shown below:
razorpay.methods.emi_plans : string Lists the EMI-supported banks with their respective interest rates. razorpay.methods.netbanking : string Contains the list of all banks and bank codes.

Pay Later

Pay Later

Request Parameters

method mandatory : string The payment method to be used by the customer to complete the payment. Here, the value must be Pay Later. provider mandatory : The Pay Later provider. Possible values:
  • lazypay
  • paypal
EMI² Suite